MONGOC_COLLECTION_VALIDATE(3)

NAME
mongoc_collection_validate() - This function is a helper function to execute the validate MongoDB command.

SYNOPSIS

bool
mongoc_collection_validate (mongoc_collection_t *collection,
                            const bson_t        *options,
                            bson_t              *reply,
                            bson_error_t        *error);

PARAMETERS

collection
    A mongoc_collection_t \&.

options
    A bson_t \&.

reply
    A bson_t \&.

error
    An optional location for a bson_error_t or NULL \&.

DESCRIPTION

This function is a helper function to execute the validate MongoDB command.

Currently, the only supported options are full , which is a boolean and scandata , also a boolean.

See the MongoDB documentation for more information on this command.

ERRORS

Errors are propagated via the error parameter.

RETURNS

true if successful, otherwise false and error is set.

reply is always initialized and must be destroyed with bson_destroy(3) \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.